features:
  secondary:
    - name: "Restrict permissions for manual CI jobs"
      available_in: [core, starter, premium, ultimate]
      documentation_link: "https://docs.gitlab.com/ee/ci/yaml/README.html#protecting-manual-jobs-premium"
      reporter: jlenny
      stage: verify
      issue_url: "https://gitlab.com/gitlab-org/gitlab/issues/15819"
      description: |
        Teams often need to create manual jobs to handle things like deployments, soft approvals, or other gates, but in GitLab it's not obvious how to restrict these permissions to prevent just anyone from completing the action.

        This was actually already possible in GitLab today, but wasn't clearly documented. In this release we've significantly improved the [documentation for protected manual jobs](https://docs.gitlab.com/ee/ci/yaml/README.html#protecting-manual-jobs-premium) to make it more clear how to get this set up.